;**************************************
; Test RELAY ON & OFF
; PROGRAM TEST RELAY
; Hardware  : CP-PIC V3.0 & V4.0
; OSC       : 10 MHZ [HS mode]
; Assembler : mpasm.exe
; Programmer: WATCHARIN KAOROP
; Company   : ETT  CO.,LTD.
; Date      : 6/8/2002
;**************************************

     list p=16f877                 ; list directive to define processor
     #include <p16f877.inc>        ; processor specific variable definitions
    __CONFIG _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_ON & _HS_OSC & _WRT_ENABLE_ON & _LVP_OFF & _DEBUG_OFF & _CPD_OFF
         
	DT0       EQU       0X20
        DT1       EQU       0x21
        DT2       EQU       0x22

	   ORG       0x0000

MAIN      bsf       STATUS,RP0         ; select bank 1
          clrf      TRISB              ; All PORTB is output
          bcf       STATUS,RP0         ; select bank 0

NOW       CALL      DELAY
	  BSF       PORTB,3	       ; Hi PORTB.3
	  CALL      DELAY
	  BCF       PORTB,3	       ; Lo PORTB.3	
	  GOTO      NOW

;********* DELAY LOOP ********

DELAY     MOVLW     0X0A
	  MOVWF     DT0
SDEL      CLRF      DT1
SD2       CLRF      DT2
SD1       DECFSZ    DT2
          GOTO      SD1
          DECFSZ    DT1
          GOTO      SD2
	  DECFSZ    DT0
	  GOTO      SDEL
          RETURN 

	 END    
